# Uses of Interface
org.eclipse.birt.report.model.api.metadata.IChoiceSet

Packages that use IChoiceSet
Package
Description
org.eclipse.birt.report.model.api.metadata
Defines the elements, properties, types, structures and slots in the Report Object Model.

## Uses of IChoiceSet in org.eclipse.birt.report.model.api.metadata

Methods in org.eclipse.birt.report.model.api.metadata that return IChoiceSet
Modifier and Type
Method
Description
`IChoiceSet`
IPropertyDefn.`getAllowedChoices()`
Returns the allowed choices for this property.
`IChoiceSet`
IPropertyDefn.`getAllowedUnits()`
Returns the allowed units for this property.
`IChoiceSet`
IPropertyDefn.`getChoices()`
Gets the list of choices for the property.
`IChoiceSet`
IPropertyType.`getChoices()`
Gets the set of choices for this type.
`IChoiceSet`
IMetaDataDictionary.`getChoiceSet(String choiceSetName)`
Finds a choice set by name.